/* SIEMENS AG 2017, All Copyrights reserved*/
import QtQuick 2.0
import QtQuick.Window 2.1

Item {
    property int screenSizeClass: 2 // 0: 3,5" - 4"
                                    // 1: 4" - 6"
                                    // 2: 6" - 10"
                                    // 3: > 10"
    property real heightInMM:0
    property real widthInMM:0
    property real screenSize:0


    function getScreenInformation ()
    {
        if (heightInMM == 0)
        {
            heightInMM = Screen.height/Screen.pixelDensity;
            widthInMM = Screen.width/Screen.pixelDensity;

            if (heightInMM == 0)
            {
                return;
            }

            screenSize = Math.sqrt (heightInMM*heightInMM+widthInMM*widthInMM)*0.039370

            if (screenSize > 10)
                screenSizeClass = 3;
            else if (screenSize > 6)
                screenSizeClass = 2;
            else if (screenSize > 4)
                screenSizeClass = 1
            else if (screenSize > 2)
                screenSizeClass = 0
            else
                screenSizeClass = 2
        }
    }

 // ALL SCREENS
    readonly property int standardFieldHeight: headlineHeight*1.39
    readonly property int inputFieldHeight: standardFieldHeight
    readonly property int deviceWidth: Math.min(Screen.height, Screen.width)
    readonly property int borderDistanceRight:  headlineHeight*0.17
    readonly property int borderDistanceLeft:   borderDistanceRight
    readonly property int inputFieldDistanceToTop: inputFieldHeight*0.085
    readonly property int inputFieldEditFieldHeight: inputFieldHeight*0.44

    readonly property int dialogWidth: headlineHeight * 3.85    
    readonly property int dialogTitleHeight: headlineHeight * 0.54
    readonly property int dialogTitleFontSize: headlineHeight * 0.27

 // HEADLINE
    readonly property var headlineHeightPercentArray: [23, 18, 12, 7]
    readonly property int headlineHeightPercent: headlineHeightPercentArray[screenSizeClass]
    readonly property int headlineHeight:  deviceWidth * headlineHeightPercent/100

// SCREEN EDIT/CREATE Connection
    readonly property int editConnectionDeviceImageHeight: inputFieldHeight * 0.83

  //Screen mode
    readonly property int addMode_Screen : 0
    readonly property int editMode_Screen : 1
}
