import QtQuick 2.5
import QtQuick.Window 2.2

Window {
    id : win
    visible: true

    property int fHeight: win.height * 0.15
    property int margin_top: win.height * 0.07

    Text {
        text: qsTr("Hello World")
        anchors.centerIn: parent
    }

    Flickable
    {
        width: parent.width
        height: parent.height
        anchors.top: parent.top
        contentHeight: parent.height * 3
        contentWidth: parent.width
        flickableDirection: Flickable.VerticalFlick
        boundsBehavior: Flickable.DragOverBounds
        anchors.topMargin: 200
        Rectangle
        {
            id :t1
            height: fHeight
            width: parent.width
            border.width: 2
            radius: 10
            TextInput {
                id: i1
                anchors.fill: parent
                Keys.onReturnPressed: {
                    event.accept = true
                    i2.forceActiveFocus()
                }
            }
        }
        Rectangle
        {
            id : t2
            height: fHeight
            width: parent.width
            anchors.top : t1.bottom
            anchors.topMargin: margin_top
            border.width: 2
            radius: 10
            TextInput {
                id: i2
                anchors.fill: parent
                Keys.onReturnPressed: {
                    event.accept = true
                    i3.forceActiveFocus()
                }
            }
        }
        Rectangle
        {
            id : t3
            height: fHeight
            width: parent.width
            border.width: 2
            anchors.top : t2.bottom
            anchors.topMargin: margin_top
            radius: 10
            TextInput {
                id: i3
                anchors.fill: parent
                Keys.onReturnPressed: {
                    event.accept = true
                    //i3.focus = false
                    i4.forceActiveFocus()
                }
            }
        }
        Rectangle
        {
            id : t4
            height: fHeight
            width: parent.width
            border.width: 2
            anchors.top : t3.bottom
            anchors.topMargin: margin_top
            radius: 10
            TextInput {
                id: i4
                anchors.fill: parent
                echoMode: TextInput.Password
            }
        }
    }
}

