/* SIEMENS AG 2017, All Copyrights reserved*/
import QtQuick 2.0
import QtQuick.Window 2.1


Rectangle {
    id: configurationPage
    property bool keyBoardVisible:Qt.inputMethod.visible
    color: "transparent"

    onKeyBoardVisibleChanged: {
        if(!configurationPage.visible)
            return;
        if(keyBoardVisible == true){
            flickCtl.height = ( configurationPage.height-headline.height ) * 0.5
        }else{
            flickCtl.height = ( configurationPage.height-headline.height )
        }
    }

    Rectangle
    {
        id : headline
        width: parent.width
        color: "Grey"
    }


    Flickable{
        id:flickCtl
        width: parent.width
        height: parent.height - headline.height
        anchors.top: parent.top;
        anchors.topMargin: def.headlineHeight * 2
        contentHeight: col.height + def.borderDistanceBottom + imageRect.height
        contentWidth: col.width
        flickableDirection: Flickable.VerticalFlick
        boundsBehavior: Flickable.DragOverBounds


        Column
        {
            id: col
            width: parent.width

            Rectangle{
                width: col.width
                height: def.inputFieldHeight
                color: "transparent"

                Rectangle{
                    id:imageRect
                    color: "transparent"
                    border.color: "light grey"
                    border.width: 0.5
                    width: 0
                    height: 0
                }
            }

            InputField{
                id: stationName
                label: ""
                input: ""
                onInputFieldDidEndEditing: {
                    ipAddress.startKeyboardFocus()
                }
            }

            InputField{
                id: ipAddress
                label: ""
                input: ""
                onInputFieldDidEndEditing: {
                   username.startKeyboardFocus()
                }
            }

            InputField{
                id: username
                label: ""
                input: ""
                visible: true
                onInputFieldDidEndEditing: {
                    password.startKeyboardFocus()
                }
            }

            InputField{
                id: password
                label: ""
                input: ""
                echoMode: TextInput.Password
                visible: true
                onInputFieldDidEndEditing: {
                    password.endKeyboardFocus()
                }
            }
        }
    }

    Keys.onPressed: {
        event.accepted = true;
        if (event.key === Qt.Key_Back)
        {
            if(busyIndicator.visible == false){
            }
            else if (event.key === Qt.Key_Return)
            {
                Qt.inputMethod.hide()
            }
        }
    }
}
