/* SIEMENS AG 2017, All Copyrights reserved*/
import QtQuick 2.0
import "." as BasicElements

Rectangle {

    property alias label: textfield.text
    property alias input: inputField.text
    property alias echoMode: inputField.echoMode

    width: parent.width
    height: def.inputFieldHeight

    color: "transparent"
    signal inputFieldEnabled()
    signal inputFieldDidEndEditing()

    DefaultText {
        id: textfield
        text: ""
        font.bold: true
        anchors.top: parent.top
        anchors.topMargin: def.inputFieldDistanceToTop
        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
    }

    Rectangle{
        id: backgroundEditField
        height: def.inputFieldEditFieldHeight
        width: parent.width

        anchors.left: parent.left
        anchors.leftMargin: def.borderDistanceLeft
        anchors.top: textfield.bottom
        anchors.topMargin: def.inputFieldDistanceToTop
        color: "white"
        border.width: 1
        border.color: "black"

        TextInput {
            id: inputField
            width: parent.width - 2*def.borderDistanceLeft
            height: parent.height
            anchors{left: parent.left; leftMargin: def.borderDistanceLeft; verticalCenter: parent.verticalCenter}
            horizontalAlignment: Text.AlignLeft
            verticalAlignment: Text.AlignVCenter
            clip:true

            onFocusChanged: {
                if(focus === false)
                {
                    Qt.inputMethod.commit()
                }
            }

            onTextChanged: {
                inputFieldEnabled()
            }

            Keys.onReturnPressed: {
                event.accept = true
                inputFieldDidEndEditing()
            }
        }
    }

    function startKeyboardFocus()
    {
        inputField.forceActiveFocus()
    }

    function endKeyboardFocus() {
        inputField.focus = false
    }
}
